org.keycloak.services.managers

## Class ResourceAdminManager

- java.lang.Object
- - org.keycloak.services.managers.ResourceAdminManager

-     public class ResourceAdminManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ServicesLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdminManager(KeycloakSession session)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getManagementUrl(URI requestUri, ClientModel client)`
    `GlobalRequestResult` | `logoutAll(URI requestUri, RealmModel realm)`
    `GlobalRequestResult` | `logoutClient(URI requestUri, RealmModel realm, ClientModel resource)`
    `protected GlobalRequestResult` | `logoutClient(URI requestUri, RealmModel realm, ClientModel resource, int notBefore)`
    `boolean` | `logoutClientSession(URI requestUri, RealmModel realm, ClientModel resource, ClientSessionModel clientSession)`
    `protected boolean` | `logoutClientSessions(URI requestUri, RealmModel realm, ClientModel resource, List<ClientSessionModel> clientSessions)`
    `void` | `logoutUser(URI requestUri, RealmModel realm, UserModel user, KeycloakSession keycloakSession)`
    `void` | `logoutUserFromClient(URI requestUri, RealmModel realm, ClientModel resource, UserModel user)`
    `protected void` | `logoutUserSessions(URI requestUri, RealmModel realm, List<UserSessionModel> userSessions)`
    `GlobalRequestResult` | `pushClientRevocationPolicy(URI requestUri, RealmModel realm, ClientModel client)`
    `GlobalRequestResult` | `pushRealmRevocationPolicy(URI requestUri, RealmModel realm)`
    `protected GlobalRequestResult` | `pushRevocationPolicy(URI requestUri, RealmModel realm, ClientModel resource, int notBefore)`
    `static String` | `resolveUri(URI requestUri, String rootUrl, String uri)`
    `protected boolean` | `sendLogoutRequest(RealmModel realm, ClientModel resource, List<String> adapterSessionIds, List<String> userSessions, int notBefore, String managementUrl)`
    `protected boolean` | `sendPushRevocationPolicyRequest(RealmModel realm, ClientModel resource, int notBefore, String managementUrl)`
    `protected boolean` | `sendTestNodeAvailabilityRequest(RealmModel realm, ClientModel client, String managementUrl)`
    `GlobalRequestResult` | `testNodesAvailability(URI requestUri, RealmModel realm, ClientModel client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static ServicesLogger logger

  - ### Constructor Detail

    - #### ResourceAdminManager

          public ResourceAdminManager(KeycloakSession session)

  - ### Method Detail

    - #### resolveUri

          public static String resolveUri(URI requestUri,
                                          String rootUrl,
                                          String uri)

    - #### getManagementUrl

          public static String getManagementUrl(URI requestUri,
                                                ClientModel client)

    - #### logoutUser

          public void logoutUser(URI requestUri,
                                 RealmModel realm,
                                 UserModel user,
                                 KeycloakSession keycloakSession)

    - #### logoutUserSessions

          protected void logoutUserSessions(URI requestUri,
                                            RealmModel realm,
                                            List<UserSessionModel> userSessions)

    - #### logoutUserFromClient

          public void logoutUserFromClient(URI requestUri,
                                           RealmModel realm,
                                           ClientModel resource,
                                           UserModel user)

    - #### logoutClientSession

          public boolean logoutClientSession(URI requestUri,
                                             RealmModel realm,
                                             ClientModel resource,
                                             ClientSessionModel clientSession)

    - #### logoutClientSessions

          protected boolean logoutClientSessions(URI requestUri,
                                                 RealmModel realm,
                                                 ClientModel resource,
                                                 List<ClientSessionModel> clientSessions)

    - #### logoutAll

          public GlobalRequestResult logoutAll(URI requestUri,
                                               RealmModel realm)

    - #### logoutClient

          public GlobalRequestResult logoutClient(URI requestUri,
                                                  RealmModel realm,
                                                  ClientModel resource)

    - #### logoutClient

          protected GlobalRequestResult logoutClient(URI requestUri,
                                                     RealmModel realm,
                                                     ClientModel resource,
                                                     int notBefore)

    - #### sendLogoutRequest

          protected boolean sendLogoutRequest(RealmModel realm,
                                              ClientModel resource,
                                              List<String> adapterSessionIds,
                                              List<String> userSessions,
                                              int notBefore,
                                              String managementUrl)

    - #### pushRealmRevocationPolicy

          public GlobalRequestResult pushRealmRevocationPolicy(URI requestUri,
                                                               RealmModel realm)

    - #### pushClientRevocationPolicy

          public GlobalRequestResult pushClientRevocationPolicy(URI requestUri,
                                                                RealmModel realm,
                                                                ClientModel client)

    - #### pushRevocationPolicy

          protected GlobalRequestResult pushRevocationPolicy(URI requestUri,
                                                             RealmModel realm,
                                                             ClientModel resource,
                                                             int notBefore)

    - #### sendPushRevocationPolicyRequest

          protected boolean sendPushRevocationPolicyRequest(RealmModel realm,
                                                            ClientModel resource,
                                                            int notBefore,
                                                            String managementUrl)

    - #### testNodesAvailability

          public GlobalRequestResult testNodesAvailability(URI requestUri,
                                                           RealmModel realm,
                                                           ClientModel client)

    - #### sendTestNodeAvailabilityRequest

          protected boolean sendTestNodeAvailabilityRequest(RealmModel realm,
                                                            ClientModel client,
                                                            String managementUrl)

Copyright © 2016 JBoss by Red Hat. All rights reserved.